<?php

        if(!is_dir("cache")){
            mkdir("cache");
        }

        if(file_exists("cache/fluData.txt")){
            if (time()-filemtime("cache/fluData.txt") > 60 * 60 * 24) {
                unlink("cache/fluData.txt");
            }
        }

        if(file_exists("cache/fluData.txt")){
            $rawData = file_get_contents("cache/fluData.txt");
        }
        else{
    		$rawData = file_get_contents("https://www.cdc.gov/flu/weekly/flureport.xml");
    		if($rawData==""){
    			$rawData = curlMain("https://www.cdc.gov/flu/weekly/flureport.xml",5);
    		}
    		if($rawData!=""){
    			file_put_contents("cache/fluData.txt",$rawData);
    		}
    	}

        $xml = simplexml_load_string($rawData);

        if(count($xml->timeperiod)>0){
            foreach($xml->timeperiod as $period){
                $week = (int)$period['number'];
                $weeks[] = $week;
                foreach($period as $stateData){
                    $state = strtolower((string)$stateData->abbrev);
                    $status = parseStatus((string)$stateData->color);
                    $mapData[$week][] = array("hc-key"=>"us-".$state,"value"=>$status);
                }
            }
        }

        if(isset($_GET['week'])){
            $returnWeek = trim($_GET['week']);
        }
        else{
            $returnWeek = $weeks[(count($weeks)-1)];
        }

        $result['mapData'] = $mapData[$returnWeek];

        function parseStatus($status){
            if($status=="No Report"){
                return 0;
            }
            else if($status=="No Activity"){
                return 1;
            }
            else if($status=="Sporadic"){
                return 2;
            }
            else if($status=="Local Activity"){
                return 3;
            }
            else if($status=="Regional"){
                return 4;
            }
            else if($status=="Widespread"){
                return 5;
            }
            else{
                return 0;
            }
        }

        echo json_encode($result,JSON_NUMERIC_CHECK);
